Skip to main content

Interface: CreateSecurityProfileRequest

Defined in: src/models/mgmt-security-profile.ts:345

Request body for creating or updating a security profile.

Indexable​

[key: string]: unknown

Properties​

profile_id?​

optional profile_id?: string;

Defined in: src/models/mgmt-security-profile.ts:346


profile_name​

profile_name: string;

Defined in: src/models/mgmt-security-profile.ts:347


csp_id?​

optional csp_id?: string;

Defined in: src/models/mgmt-security-profile.ts:348


tsg_id?​

optional tsg_id?: string;

Defined in: src/models/mgmt-security-profile.ts:349


dlp_tenant_id?​

optional dlp_tenant_id?: string;

Defined in: src/models/mgmt-security-profile.ts:350


revision?​

optional revision?: number;

Defined in: src/models/mgmt-security-profile.ts:351


active?​

optional active?: boolean;

Defined in: src/models/mgmt-security-profile.ts:352


policy?​

optional policy?: objectOutputType<{
ai-security-profiles: ZodOptional<ZodArray<ZodObject<{
model-type: ZodOptional<ZodString>;
content-type: ZodOptional<ZodString>;
content-type-mode: ZodOptional<ZodString>;
content-type-configurations: ZodOptional<ZodType<ContentTypeConfigurations, ZodTypeDef, ContentTypeConfigurations>>;
model-configuration: ZodOptional<ZodObject<{
data-protection: ...;
app-protection: ...;
model-protection: ...;
agent-protection: ...;
} & {
mask-data-in-storage: ...;
latency: ...;
enable-full-conversation-inspection: ...;
}, "passthrough", ZodTypeAny, objectOutputType<... & ..., ZodTypeAny, "passthrough">, objectInputType<... & ..., ZodTypeAny, "passthrough">>>;
}, "passthrough", ZodTypeAny, objectOutputType<{
model-type: ZodOptional<ZodString>;
content-type: ZodOptional<ZodString>;
content-type-mode: ZodOptional<ZodString>;
content-type-configurations: ZodOptional<ZodType<ContentTypeConfigurations, ZodTypeDef, ContentTypeConfigurations>>;
model-configuration: ZodOptional<ZodObject<... & ..., "passthrough", ZodTypeAny, objectOutputType<..., ..., ...>, objectInputType<..., ..., ...>>>;
}, ZodTypeAny, "passthrough">, objectInputType<{
model-type: ZodOptional<ZodString>;
content-type: ZodOptional<ZodString>;
content-type-mode: ZodOptional<ZodString>;
content-type-configurations: ZodOptional<ZodType<ContentTypeConfigurations, ZodTypeDef, ContentTypeConfigurations>>;
model-configuration: ZodOptional<ZodObject<... & ..., "passthrough", ZodTypeAny, objectOutputType<..., ..., ...>, objectInputType<..., ..., ...>>>;
}, ZodTypeAny, "passthrough">>, "many">>;
dlp-data-profiles: ZodOptional<ZodArray<ZodObject<{
name: ZodString;
uuid: ZodString;
id: ZodOptional<ZodString>;
version: ZodOptional<ZodString>;
description: ZodOptional<ZodString>;
rule1: ZodOptional<ZodObject<{
action: ZodOptional<...>;
}, "passthrough", ZodTypeAny, objectOutputType<{
action: ...;
}, ZodTypeAny, "passthrough">, objectInputType<{
action: ...;
}, ZodTypeAny, "passthrough">>>;
rule2: ZodOptional<ZodObject<{
action: ZodOptional<...>;
}, "passthrough", ZodTypeAny, objectOutputType<{
action: ...;
}, ZodTypeAny, "passthrough">, objectInputType<{
action: ...;
}, ZodTypeAny, "passthrough">>>;
log-severity: ZodOptional<ZodString>;
non-file-based: ZodOptional<ZodString>;
file-based: ZodOptional<ZodString>;
}, "passthrough", ZodTypeAny, objectOutputType<{
name: ZodString;
uuid: ZodString;
id: ZodOptional<ZodString>;
version: ZodOptional<ZodString>;
description: ZodOptional<ZodString>;
rule1: ZodOptional<ZodObject<{
action: ...;
}, "passthrough", ZodTypeAny, objectOutputType<..., ..., ...>, objectInputType<..., ..., ...>>>;
rule2: ZodOptional<ZodObject<{
action: ...;
}, "passthrough", ZodTypeAny, objectOutputType<..., ..., ...>, objectInputType<..., ..., ...>>>;
log-severity: ZodOptional<ZodString>;
non-file-based: ZodOptional<ZodString>;
file-based: ZodOptional<ZodString>;
}, ZodTypeAny, "passthrough">, objectInputType<{
name: ZodString;
uuid: ZodString;
id: ZodOptional<ZodString>;
version: ZodOptional<ZodString>;
description: ZodOptional<ZodString>;
rule1: ZodOptional<ZodObject<{
action: ...;
}, "passthrough", ZodTypeAny, objectOutputType<..., ..., ...>, objectInputType<..., ..., ...>>>;
rule2: ZodOptional<ZodObject<{
action: ...;
}, "passthrough", ZodTypeAny, objectOutputType<..., ..., ...>, objectInputType<..., ..., ...>>>;
log-severity: ZodOptional<ZodString>;
non-file-based: ZodOptional<ZodString>;
file-based: ZodOptional<ZodString>;
}, ZodTypeAny, "passthrough">>, "many">>;
}, ZodTypeAny, "passthrough">;

Defined in: src/models/mgmt-security-profile.ts:354

Required at submission; optional in this legacy builder type for incremental CLI construction.


created_by?​

optional created_by?: string;

Defined in: src/models/mgmt-security-profile.ts:355


updated_by?​

optional updated_by?: string;

Defined in: src/models/mgmt-security-profile.ts:356


last_modified_ts?​

optional last_modified_ts?: string;

Defined in: src/models/mgmt-security-profile.ts:357